Refer friends and earn rewards this week
Kongo Docs

Get Market By Id

Returns a single Gamma-compatible market by numeric id or condition id

Get Help
GET
/markets/{id}

Path Parameters

id*string

Numeric market id or condition id.

Query Parameters

creator?string

Optional creator filter. Use a creator wallet address or a site identifier to scope results to markets available on that site.

Response Body

application/json

application/json

curl -X GET "https://example.com/markets/540816"
{  "id": "string",  "question": "string",  "conditionId": "string",  "slug": "string",  "resolutionSource": "string",  "startDate": "2019-08-24T14:15:22Z",  "endDate": "2019-08-24T14:15:22Z",  "image": "string",  "icon": "string",  "description": "string",  "outcomes": "string",  "clobTokenIds": "string",  "active": true,  "closed": true,  "archived": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "questionID": "string",  "events": [    {      "id": "string",      "ticker": "string",      "slug": "string",      "title": "string",      "description": "string",      "resolutionSource": "string",      "startDate": "2019-08-24T14:15:22Z",      "creationDate": "2019-08-24T14:15:22Z",      "endDate": "2019-08-24T14:15:22Z",      "image": "string",      "icon": "string",      "active": true,      "closed": true,      "archived": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "type": "not found error",  "error": "id not found"}